import { C as n } from "../components/CashierPage-DwwVZWaQ.js";
function a(t) {
  return function(...s) {
    try {
      return t.apply(this, s);
    } catch (e) {
      if (e instanceof DOMException && e.message.includes("has already been used with this registry") || e.message.includes("Cannot define multiple custom elements with the same tag name"))
        return !1;
      throw e;
    }
  };
}
customElements.define = a(customElements.define);
!customElements.get("cashier-page") && customElements.define("cashier-page", n.element);
